from snek.system.model import BaseModel, ModelField


class ChannelMessageModel(BaseModel):
    channel_uid = ModelField(name="channel_uid", required=True, kind=str)
    user_uid = ModelField(name="user_uid", required=True, kind=str)
    message = ModelField(name="message", required=True, kind=str)
    html = ModelField(name="html", required=False, kind=str)
